Bug 1956244 - python3-visvis 1.12.4-2 is not compatible with Python 3.9
Summary: python3-visvis 1.12.4-2 is not compatible with Python 3.9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-visvis
Version: 34
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-03 09:55 UTC by fedepell
Modified: 2021-05-12 05:42 UTC (History)
1 user (show)

Fixed In Version: python-visvis-1.13.0-1.fc35 python-visvis-1.13.0-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-03 16:50:33 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1844800 1 unspecified NEW rtlsdr-scanner does not start due to various incompatibilities in matplotlib, wx 2021-05-03 10:26:17 UTC

Description fedepell 2021-05-03 09:55:06 UTC
Description of problem:
The version 1.12.4 of the visvis Python module is not compatible with Python 3.9 and will crash applications even just importing it. 


Version-Release number of selected component (if applicable):
1.12.4-2


How reproducible:
Always


Steps to Reproduce:
1. Launch python3 shell on FC34
2. Import visvis module


Actual results:
Python 3.9.4 (default, Apr  6 2021, 00:00:00) 
[GCC 11.0.1 20210324 (Red Hat 11.0.1-0)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import visvis
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.9/site-packages/visvis/__init__.py", line 55, in <module>
    from visvis.core import *
  File "/usr/lib/python3.9/site-packages/visvis/core/__init__.py", line 30, in <module>
    from visvis.core.constants import *
  File "/usr/lib/python3.9/site-packages/visvis/core/constants.py", line 162, in <module>
    colormaps['magma'] = np.frombuffer(base64.decodestring(_magma), np.float32).reshape(256, 3)
AttributeError: module 'base64' has no attribute 'decodestring'


Expected results:
Normal import of module


Additional info:
In Python 3.9 decodestring should be replaced with decodebytes.
Problem has been already solved upstream: https://github.com/almarklein/visvis/pull/117/commits/aff691786457213e2f7d6dd33452306693d74249

Either bump therefore to a more recent version or selectively apply some patches.

Comment 1 Fedora Update System 2021-05-03 16:50:33 UTC
FEDORA-2021-48e9dab998 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 2 Fedora Update System 2021-05-03 17:04:29 UTC
FEDORA-2021-f3a359ecf0 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f3a359ecf0

Comment 3 Fedora Update System 2021-05-04 01:09:15 UTC
FEDORA-2021-f3a359ecf0 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f3a359ecf0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f3a359ecf0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 fedepell 2021-05-04 03:49:22 UTC
Much better now ;-) Thanks for the fast action Jaroslav!

Comment 5 Fedora Update System 2021-05-12 05:42:10 UTC
FEDORA-2021-f3a359ecf0 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.